CParamTranslator Class Referenceabstract

`#include <mia/core/paramtranslator.hh>`

Inheritance diagram for CParamTranslator:
[legend]

## Public Member Functions

void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Protected Member Functions

CParamList & | get_parameters ()

## Detailed Description

Definition at line 34 of file paramtranslator.hh.

## Constructor & Destructor Documentation

## CParamTranslator()

CParamTranslator::CParamTranslator | ( | const char * | name | ) |

## ~CParamTranslator()

virtual CParamTranslator::~CParamTranslator | ( |  | ) |

virtual

## Member Function Documentation

## add_parameter()

void CParamTranslator::add_parameter | ( | const std::string & | name,
|  | CParameter * | param )

Add a parameter to the parameter list. If the name of the parameter already exists this function throws an invalid_argument exception.

Parameters

  name | Name of the new parameter
  param | the actual parameter

Referenced by TImageCombinerFilterPlugin< Image >::TImageCombinerFilterPlugin().

## check_parameters()

void CParamTranslator::check_parameters | ( |  | ) |

This function checks, whether all requzired parameters have really been set. It throws an invalid_argument

Referenced by TFactory< P >::create().

## do_get_help_xml()

virtual void CParamTranslator::do_get_help_xml | ( | CXMLElement & | root | ) | const

virtual

## get_descr()

const std::string CParamTranslator::get_descr | ( |  | ) | const

Returns
  the description of the translator

## get_help()

void CParamTranslator::get_help | ( | std::ostream & | os | ) | const

## get_help_xml()

void CParamTranslator::get_help_xml | ( | CXMLElement & | root | ) | const

## get_name()

const char * CParamTranslator::get_name | ( |  | ) | const

Returns
  the name of the translator

## get_parameters()

CParamList & CParamTranslator::get_parameters | ( |  | ) |

protected

## get_short_help()

void CParamTranslator::get_short_help | ( | std::ostream & | os | ) | const

## set_parameters()

void CParamTranslator::set_parameters | ( | const CParsedOptions & | options | ) |

Set the parameter according to the given option map. If the parameter name does not exists, the function will throw an invalid_argument exception. Depending on the parameter type setting it might also throw an invalid_argument exception.

Parameters

  options | the options map

Referenced by TFactory< P >::create().

The documentation for this class was generated from the following file:

- paramtranslator.hh